#
# spec file for package sca-patterns-sle15
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sca_common sca
%define patdirbase /usr/lib/%{sca_common}
%define patdir %{patdirbase}/patterns
%define patuser root
%define patgrp root
%define mode 544
%define category SLE

Name:           sca-patterns-sle15
Version:        1.5.1
Release:        150300.14.3.1
Summary:        Supportconfig Analysis Patterns for SLE15
License:        GPL-2.0-only
URL:            https://github.com/g23guy/sca-patterns-sle15
Group:          System/Monitoring
Source:         %{name}-%{version}.tar.gz
BuildRequires:  fdupes
Requires:       sca-patterns-base >= 1.5.0
BuildArch:      noarch

%description
Supportconfig Analysis (SCA) appliance patterns to identify known
issues relating to all versions of SLE15.

See %{_docdir}/sca-patterns-base/COPYING.GPLv2

%prep
%setup -q

%build

%install
pwd;ls -la
install -d %{buildroot}/%{patdir}/%{category}
install -d %{buildroot}/%{patdir}/%{category}/sle15all
install -d %{buildroot}/%{patdir}/%{category}/sle15sp0
install -d %{buildroot}/%{patdir}/%{category}/sle15sp1
install -d %{buildroot}/%{patdir}/%{category}/sle15sp2
install -d %{buildroot}/%{patdir}/%{category}/sle15sp3
install -d %{buildroot}/%{patdir}/%{category}/sle15sp4
install -m %{mode} patterns/%{category}/sle15all/* %{buildroot}/%{patdir}/%{category}/sle15all
install -m %{mode} patterns/%{category}/sle15sp0/* %{buildroot}/%{patdir}/%{category}/sle15sp0
install -m %{mode} patterns/%{category}/sle15sp1/* %{buildroot}/%{patdir}/%{category}/sle15sp1
install -m %{mode} patterns/%{category}/sle15sp2/* %{buildroot}/%{patdir}/%{category}/sle15sp2
install -m %{mode} patterns/%{category}/sle15sp3/* %{buildroot}/%{patdir}/%{category}/sle15sp3
install -m %{mode} patterns/%{category}/sle15sp4/* %{buildroot}/%{patdir}/%{category}/sle15sp4
%fdupes %{buildroot}

%files
%defattr(-,%{patuser},%{patgrp})
%dir %{patdirbase}
%dir %{patdir}
%dir %{patdir}/%{category}
%dir %{patdir}/%{category}/sle15all
%dir %{patdir}/%{category}/sle15sp0
%dir %{patdir}/%{category}/sle15sp1
%dir %{patdir}/%{category}/sle15sp2
%dir %{patdir}/%{category}/sle15sp3
%dir %{patdir}/%{category}/sle15sp4
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/sle15all/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/sle15sp0/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/sle15sp1/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/sle15sp2/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/sle15sp3/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/sle15sp4/*
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/sle15sp4/README

%changelog
* Fri May  6 2022 jason.record@suse.com
- Changes in version 1.5.1
  - New security announcement patterns (213)
    + Apr 2022 (13) for SUSE-SU-2022:1293-1 SUSE-SU-2022:1313-1 SUSE-SU-2022:1250-1 SUSE-SU-2022:1108-1 SUSE-SU-2022:1292-1 SUSE-SU-2022:1313-1 SUSE-SU-2022:1448-1 SUSE-SU-2022:1250-1 SUSE-SU-2022:1255-1 SUSE-SU-2022:1255-1 SUSE-SU-2022:1288-1 SUSE-SU-2022:1427-1 SUSE-SU-2022:1139-1
    + Mar 2022 (48) for SUSE-SU-2022:1293-1 SUSE-SU-2022:1313-1 SUSE-SU-2022:1250-1 SUSE-SU-2022:1108-1 SUSE-SU-2022:1292-1 SUSE-SU-2022:1313-1 SUSE-SU-2022:1448-1 SUSE-SU-2022:1250-1 SUSE-SU-2022:1255-1 SUSE-SU-2022:1255-1 SUSE-SU-2022:1288-1 SUSE-SU-2022:1427-1 SUSE-SU-2022:1139-1 SUSE-SU-2022:0931-1 SUSE-SU-2022:0703-1 SUSE-SU-2022:0779-1 SUSE-SU-2022:0695-1 SUSE-SU-2022:0826-1 SUSE-SU-2022:0825-1 SUSE-SU-2022:1058-1 SUSE-SU-2022:0679-1 SUSE-SU-2022:0853-1 SUSE-SU-2022:0819-1 SUSE-SU-2022:0778-1 SUSE-SU-2022:0676-1 SUSE-SU-2022:0725-1 SUSE-SU-2022:0754-1 SUSE-SU-2022:0929-1 SUSE-SU-2022:0732-1 SUSE-SU-2022:0703-1 SUSE-SU-2022:0810-1 SUSE-SU-2022:0694-1 SUSE-SU-2022:0826-1 SUSE-SU-2022:0825-1 SUSE-SU-2022:1057-1 SUSE-SU-2022:0679-1 SUSE-SU-2022:0851-1 SUSE-SU-2022:1041-1 SUSE-SU-2022:0819-1 SUSE-SU-2022:0778-1 SUSE-SU-2022:0676-1 SUSE-SU-2022:0725-1 SUSE-SU-2022:0754-1 SUSE-SU-2022:0766-1 SUSE-SU-2022:0766-1 SUSE-SU-2022:0933-1 SUSE-SU-2022:0934-1 SUSE-SU-2022:0929-1
    + Feb 2022 (60) for SUSE-SU-2022:1293-1 SUSE-SU-2022:1313-1 SUSE-SU-2022:1250-1 SUSE-SU-2022:1108-1 SUSE-SU-2022:1292-1 SUSE-SU-2022:1313-1 SUSE-SU-2022:1448-1 SUSE-SU-2022:1250-1 SUSE-SU-2022:1255-1 SUSE-SU-2022:1255-1 SUSE-SU-2022:1288-1 SUSE-SU-2022:1427-1 SUSE-SU-2022:1139-1 SUSE-SU-2022:0931-1 SUSE-SU-2022:0703-1 SUSE-SU-2022:0779-1 SUSE-SU-2022:0695-1 SUSE-SU-2022:0826-1 SUSE-SU-2022:0825-1 SUSE-SU-2022:1058-1 SUSE-SU-2022:0679-1 SUSE-SU-2022:0853-1 SUSE-SU-2022:0819-1 SUSE-SU-2022:0778-1 SUSE-SU-2022:0676-1 SUSE-SU-2022:0725-1 SUSE-SU-2022:0754-1 SUSE-SU-2022:0929-1 SUSE-SU-2022:0732-1 SUSE-SU-2022:0703-1 SUSE-SU-2022:0810-1 SUSE-SU-2022:0694-1 SUSE-SU-2022:0826-1 SUSE-SU-2022:0825-1 SUSE-SU-2022:1057-1 SUSE-SU-2022:0679-1 SUSE-SU-2022:0851-1 SUSE-SU-2022:1041-1 SUSE-SU-2022:0819-1 SUSE-SU-2022:0778-1 SUSE-SU-2022:0676-1 SUSE-SU-2022:0725-1 SUSE-SU-2022:0754-1 SUSE-SU-2022:0766-1 SUSE-SU-2022:0766-1 SUSE-SU-2022:0933-1 SUSE-SU-2022:0934-1 SUSE-SU-2022:0929-1 SUSE-SU-2022:0277-1 SUSE-SU-2022:0283-1 SUSE-SU-2022:0500-1 SUSE-SU-2022:0468-1 SUSE-SU-2022:0541-1 SUSE-SU-2022:0284-1 SUSE-SU-2022:0563-1 SUSE-SU-2022:0500-1 SUSE-SU-2022:0563-1 SUSE-SU-2022:0301-1 SUSE-SU-2022:0367-1 SUSE-SU-2022:0367-1
    + Jan 2022 (92) for SUSE-SU-2022:1293-1 SUSE-SU-2022:1313-1 SUSE-SU-2022:1250-1 SUSE-SU-2022:1108-1 SUSE-SU-2022:1292-1 SUSE-SU-2022:1313-1 SUSE-SU-2022:1448-1 SUSE-SU-2022:1250-1 SUSE-SU-2022:1255-1 SUSE-SU-2022:1255-1 SUSE-SU-2022:1288-1 SUSE-SU-2022:1427-1 SUSE-SU-2022:1139-1 SUSE-SU-2022:0931-1 SUSE-SU-2022:0703-1 SUSE-SU-2022:0779-1 SUSE-SU-2022:0695-1 SUSE-SU-2022:0826-1 SUSE-SU-2022:0825-1 SUSE-SU-2022:1058-1 SUSE-SU-2022:0679-1 SUSE-SU-2022:0853-1 SUSE-SU-2022:0819-1 SUSE-SU-2022:0778-1 SUSE-SU-2022:0676-1 SUSE-SU-2022:0725-1 SUSE-SU-2022:0754-1 SUSE-SU-2022:0929-1 SUSE-SU-2022:0732-1 SUSE-SU-2022:0703-1 SUSE-SU-2022:0810-1 SUSE-SU-2022:0694-1 SUSE-SU-2022:0826-1 SUSE-SU-2022:0825-1 SUSE-SU-2022:1057-1 SUSE-SU-2022:0679-1 SUSE-SU-2022:0851-1 SUSE-SU-2022:1041-1 SUSE-SU-2022:0819-1 SUSE-SU-2022:0778-1 SUSE-SU-2022:0676-1 SUSE-SU-2022:0725-1 SUSE-SU-2022:0754-1 SUSE-SU-2022:0766-1 SUSE-SU-2022:0766-1 SUSE-SU-2022:0933-1 SUSE-SU-2022:0934-1 SUSE-SU-2022:0929-1 SUSE-SU-2022:0277-1 SUSE-SU-2022:0283-1 SUSE-SU-2022:0500-1 SUSE-SU-2022:0468-1 SUSE-SU-2022:0541-1 SUSE-SU-2022:0284-1 SUSE-SU-2022:0563-1 SUSE-SU-2022:0500-1 SUSE-SU-2022:0563-1 SUSE-SU-2022:0301-1 SUSE-SU-2022:0367-1 SUSE-SU-2022:0367-1 SUSE-SU-2022:0043-1 SUSE-SU-2022:0177-1 SUSE-SU-2022:0064-1 SUSE-SU-2022:0134-1 SUSE-SU-2022:0141-1 SUSE-SU-2022:0050-1 SUSE-SU-2022:0021-1 SUSE-SU-2022:0069-1 SUSE-SU-2022:0198-1 SUSE-SU-2022:0131-1 SUSE-SU-2022:0088-1 SUSE-SU-2022:0144-1 SUSE-SU-2022:0151-1 SUSE-SU-2022:0091-1 SUSE-SU-2022:0091-1 SUSE-SU-2022:0183-1 SUSE-SU-2022:0211-1 SUSE-SU-2022:0191-1 SUSE-SU-2022:0050-1 SUSE-SU-2022:0137-1 SUSE-SU-2022:0214-1 SUSE-SU-2022:0128-1 SUSE-SU-2022:0119-1 SUSE-SU-2022:0183-1 SUSE-SU-2022:0211-1 SUSE-SU-2022:0251-1 SUSE-SU-2022:0200-1 SUSE-SU-2022:0191-1 SUSE-SU-2022:0137-1 SUSE-SU-2022:0214-1 SUSE-SU-2022:0031-1 SUSE-SU-2022:0119-1
* Fri Nov  5 2021 jason.record@suse.com
- Changes to updated version 1.5.0
  + Converted to python3 (bsc#1191005, SLE-21579)
* Thu Sep 16 2021 jason.record@suse.com
- Added video links to patterns (bsc#1190460)
  + bhc-scc-expired.py,  bhc-scc-registered.py, bhc-diskused-00001.pl, bhc-memused-00001.pl
* Wed Sep  8 2021 jason.record@suse.com
- Updates to version 1.0.8
  + Removed outdated TID2 link in bhc-diskused-00001.pl (bsc#1190260)
  + Added Video link to coredumpctl-000018634.py
  + Updated renewal link in bhc-scc-expired.py
  + Updated registration link in bhc-scc-registered.py
  + Fixed field reference in sle15all/lvm-00003.pl
* Fri Aug 27 2021 jason.record@suse.com
- Renamed pattern files for filename standard
  + renamed: patterns/SLE/sle15all/scc-expired.py -> patterns/SLE/sle15all/bhc-scc-expired.py
  + renamed: patterns/SLE/sle15all/scc-registered.py -> patterns/SLE/sle15all/bhc-scc-registered.py
- Fixed percent used calculation in SLES15 for bhc-memused-00001.pl (bsc#1189889)
* Wed Aug 25 2021 jason.record@suse.com
- Fixed metadata tags in scc-registered.py
* Wed Aug 25 2021 jason.record@suse.com
- Updates to version 1.0.7
  - New regular patterns (1)
    + sle15all/scc-registered.py: Check system registration status (TID000018546)
* Tue Aug 17 2021 jason.record@suse.com
- Changes in version 1.0.7
  - New regular patterns (5)
    + sle15all/mysqlperf-000020354.py: mysqld segfault when the system is under stress (bsc#1186792)
    + sle15all/oomvsftpd-000020252.py: vsftpd and other processes terminated due to OOM scenario (bsc#1182905)
    + sle15all/postfix-000020356.py: Postfix fails to start with IPv6 disabled (TID000020356)
    + sle15sp2/rpmnfs-000020364.py: Upgrading an RPM reports cpio chmod failed (bsc#1189394)
    + sle15sp3/rpmnfs-000020364.py: Upgrading an RPM reports cpio chmod failed (bsc#1189394)
  - New security announcement patterns (20)
    + Jul 2021 (20) for SUSE-SU-2021:2457-1 SUSE-SU-2021:2410-1 SUSE-SU-2021:2442-1 SUSE-SU-2021:2352-1 SUSE-SU-2021:1863-2 SUSE-SU-2021:2415-1 SUSE-SU-2021:2555-1 SUSE-SU-2021:2439-1 SUSE-SU-2021:2459-1 SUSE-SU-2021:2291-1 SUSE-SU-2021:2457-1 SUSE-SU-2021:2404-1 SUSE-SU-2021:2474-1 SUSE-SU-2021:2471-1 SUSE-SU-2021:2438-1 SUSE-SU-2021:2325-1 SUSE-SU-2021:2439-1 SUSE-SU-2021:2461-1 SUSE-SU-2021:2421-1 SUSE-SU-2021:2470-1
* Tue Jul 27 2021 jason.record@suse.com
- Changes in version 1.0.6
  - New regular patterns (2)
    + sle15all/cronlimit-000020338.py: crontab - More than 1000 entries in crontab file, can't install (bsc#1187508)
    + sle15all/scc-expired.py: Identify if SCC registrations have expired
* Fri Jul  2 2021 jason.record@suse.com
- Changes in version 1.0.6
  - New regular patterns (3)
    + sle15all/sdagentconfig-000020301.py: SCA Appliance configuration reports ERROR 2002 HY000 Cannot connect to MySQL server (bsc#1183464)
    + sle15all/systemd-current-failed-7017137.py: Check for failed systemd services (TID7017137)
    + sle15sp3/dasdkvm-000020295.py: DASD partitions not recognized on SLES 15 SP3 KVM guest (bsc#1185857)
  - New security announcement patterns (46)
    + Jun 2021 (46) for SUSE-SU-2021:2011-1 SUSE-SU-2021:1933-1 SUSE-SU-2021:1998-1 SUSE-SU-2021:2106-1 SUSE-SU-2021:1951-1 SUSE-SU-2021:2213-1 SUSE-SU-2021:1942-1 SUSE-SU-2021:2012-1 SUSE-SU-2021:1859-1 SUSE-SU-2021:1843-1 SUSE-SU-2021:1825-1 SUSE-SU-2021:2196-1 SUSE-SU-2021:1917-1 SUSE-SU-2021:1958-1 SUSE-SU-2021:2184-1 SUSE-SU-2021:1977-1 SUSE-SU-2021:1819-1 SUSE-SU-2021:1944-1 SUSE-SU-2021:1834-1 SUSE-SU-2021:1826-1 SUSE-SU-2021:2127-1 SUSE-SU-2021:2011-1 SUSE-SU-2021:1933-1 SUSE-SU-2021:1999-1 SUSE-SU-2021:2106-1 SUSE-SU-2021:2212-1 SUSE-SU-2021:1893-1 SUSE-SU-2021:1859-1 SUSE-SU-2021:1994-1 SUSE-SU-2021:1970-1 SUSE-SU-2021:1843-1 SUSE-SU-2021:2196-1 SUSE-SU-2021:1917-1 SUSE-SU-2021:1958-1 SUSE-SU-2021:1890-1 SUSE-SU-2021:1819-1 SUSE-SU-2021:1834-1 SUSE-SU-2021:2127-1 SUSE-SU-2021:1901-1 SUSE-SU-2021:1911-1 SUSE-SU-2021:2104-1 SUSE-SU-2021:1895-1 SUSE-SU-2021:2155-1 SUSE-SU-2021:2122-1 SUSE-SU-2021:2211-1 SUSE-SU-2021:1845-1
* Fri Jun 18 2021 jason.record@suse.com
- Changes in version 1.0.5
  - New regular patterns (6)
    + sle15all/blacklist-000019607.py: System exit to emergency shell at boot with multipath enabled (TID000019607)
    + sle15all/btrfsmaster-000018779.py: BTRFS Master TID
    + sle15all/sizingbtrfs-000018798.py: How to resize/extend a btrfs formatted root partition (TID000018798)
    + sle15sp0/mpiofindpaths-000019511.py: Using the find_multipaths yes option in multipath.conf (bsc#1138452)
    + sle15sp2/mpiopmem-000019884.py: Executing multipath -ll on Optane memory based pmem devices returns HDIO_GETGEO failed with 25 (bsc#1182917)
    + sle15sp3/intelpstate_153-000020273.py: Frequency scaling driver intel_pstate not loading on some Intel Xeon Scalable processors (bsc#1185758)
* Thu Jun 10 2021 jason.record@suse.com
- Changes in version 1.0.5
  - New regular patterns (2)
    + sle15sp2/intelpstate_152-000020273.py: Frequency scaling driver intel_pstate not loading on some Intel Xeon Scalable processors
  + sle15all/zypproxy-000020275.py: zypper commands return Error code HTTP response 0
  - Requires Core library 1.3.3 which contains Core.logFullFile function
* Wed Jun  2 2021 jason.record@suse.com
- Changes in version 1.0.4
  - New regular patterns (4)
    + sle15all/nobarrier-000020240.py: XFS nobarrier option has been completely deprecated starting from SLES15 SP2 (bsc#1176375)
    + sle15all/sysdjobs-000020261.py: Troubleshooting systemd jobs that are hung or stuck (TID000020261)
    + sle15all/udevmac-000020260.py: systemd-udevd Could not generate persistent MAC address for br0 No such file or directory (bsc#1185357)
    + sle15sp2/nfstimeout_152-000019943.py: Delayed outgoing packets causing NFS timeouts (bsc#1183405)
  - New security announcement patterns (39)
    + May 2021 (39) for SUSE-SU-2021:1557-1 SUSE-SU-2021:1806-1 SUSE-SU-2021:1785-1 SUSE-SU-2021:1466-1 SUSE-SU-2021:1491-1 SUSE-SU-2021:1577-1 SUSE-SU-2021:1654-1 SUSE-SU-2021:1523-1 SUSE-SU-2021:1765-1 SUSE-SU-2021:1755-1 SUSE-SU-2021:1599-1 SUSE-SU-2021:1761-1 SUSE-SU-2021:1655-1 SUSE-SU-2021:1598-1 SUSE-SU-2021:1762-1 SUSE-SU-2021:1474-1 SUSE-SU-2021:1493-1 SUSE-SU-2021:1557-1 SUSE-SU-2021:1806-1 SUSE-SU-2021:1785-1 SUSE-SU-2021:1466-1 SUSE-SU-2021:1491-1 SUSE-SU-2021:1577-1 SUSE-SU-2021:1654-1 SUSE-SU-2021:1523-1 SUSE-SU-2021:1765-1 SUSE-SU-2021:1755-1 SUSE-SU-2021:1574-1 SUSE-SU-2021:1599-1 SUSE-SU-2021:1761-1 SUSE-SU-2021:1636-1 SUSE-SU-2021:1655-1 SUSE-SU-2021:1598-1 SUSE-SU-2021:1762-1 SUSE-SU-2021:1474-1 SUSE-SU-2021:1493-1 SUSE-SU-2021:1500-1 SUSE-SU-2021:1792-1 SUSE-SU-2021:1573-1
* Mon May 24 2021 jason.record@suse.com
- Changes in version 1.0.3
  - New regular patterns (5)
    + sle15all/coredumpctl-000018634.py: How to obtain systemd service core dumps (TID000018634)
    + sle15all/scatool-000004685.py: scatool fails with traceback (TID000004685)
    + sle15all/scatool-000020253.py: scatool fails to analyze supportconfigs with xz compression (bsc#1155181)
    + sle15all/vmcore-00001.pl: Identifies kernel core dumps for review
    + sle15all/vmcore-00002.pl: Detects the need for a kernel core analysis
  - Deleted regular patterns (1)
    + sle15all/bhc-scc.sh: Pattern removed (bsc#1184594, bsc#1186317)
* Thu May 20 2021 jason.record@suse.com
- Fixed crosstalk message strings (bsc#1186312)
* Wed May 19 2021 jason.record@suse.com
- Updated regular patterns (1)
  + sle15all/lvm-00003.pl: Physical volumes can be removed or damaged and appear missing. This pattern looks for missing physical volumes.
* Tue May 18 2021 jason.record@suse.com
- Changes in version 1.0.3
  - New regular patterns (9)
    + sle15all/lvm-00003.pl: Physical volumes can be removed or damaged and appear missing. This pattern looks for missing physical volumes.
    + sle15all/lvm-00004.pl: LMV Check sum errors may indicate corrupted LVM metadata
    + sle15all/lvm-00005.pl: Duplicate volume groups are usually a configuration issue
    + sle15all/proxy-00003.pl: Checks for proxy environment variables
    + sle15sp1/namespace-000019571.py: Activation of multiple namespaces simultaneously may lead to an activation failure (bsc#1157778)
    + sle15sp1/nfit-000019688.py: dmesg shows NFIT related messages after updating the kernel (bsc#1159356)
    + sle15sp1/nfsipv6_151-000019618.py: Timeout when attempting NFS mount over IPv6 (bsc#1144162)
    + sle15sp1/nfsperf-151-000019615.py: Performance loss when writing large files over NFS (bsc#1163403)
    + sle15sp2/ipmitool-000020250.py: hanging on getting cipher suites (bsc#1185684)
* Wed May  5 2021 jason.record@suse.com
- New security announcement patterns (30) for version 1.0.3
  + May 2021 (30) for SUSE-SU-2021:1182-1 SUSE-SU-2021:1430-1 SUSE-SU-2021:1168-1 SUSE-SU-2021:1408-1 SUSE-SU-2021:1409-1 SUSE-SU-2021:1182-1 SUSE-SU-2021:1028-1 SUSE-SU-2021:1166-1 SUSE-SU-2021:1430-1 SUSE-SU-2021:1113-1 SUSE-SU-2021:1444-1 SUSE-SU-2021:1280-1 SUSE-SU-2021:1243-1 SUSE-SU-2021:1168-1 SUSE-SU-2021:1408-1 SUSE-SU-2021:1094-1 SUSE-SU-2021:1029-1 SUSE-SU-2021:1238-1 SUSE-SU-2021:1409-1 SUSE-SU-2021:1006-1 SUSE-SU-2021:1161-1 SUSE-SU-2021:1108-1 SUSE-SU-2021:1282-1 SUSE-SU-2021:1179-1 SUSE-SU-2021:1153-1 SUSE-SU-2021:1445-1 SUSE-SU-2021:1244-1 SUSE-SU-2021:1292-1 SUSE-SU-2021:1103-1 SUSE-SU-2021:1455-1
* Tue May  4 2021 jason.record@suse.com
- New regular patterns (13) for version 1.0.3
  + sle15all/iscsimnts-000019648.py: Proper mount options for iSCSI drives (TID000019648)
  + sle15all/lvmsnapshot-000019858.py: LVM snapshot changed state to Invalid and should be removed (bsc#1179170)
  + sle15all/softlock-000018705.py: soft lockup messages about? (TID000018705)
  + sle15sp0/ghostcat_150-000019606.py: Ghostcat - Apache Tomcat AJP File Read/Inclusion Vulnerability (bsc#1164692)
  + sle15sp1/docore_151-000019881.py: System crash in do_coredump() when a process is restarted (bsc#1177753)
  + sle15sp1/edac-000019537.py: A kernel message shows EDAC amd64 Error F0 not found, device 0x1460 broken BIOS (bsc#1131489)
  + sle15sp1/ghostcat_151-000019606.py: Ghostcat - Apache Tomcat AJP File Read/Inclusion Vulnerability (bsc#1164692)
  + sle15sp1/ipmi-000019602.py: IPMI driver can be unloaded when being accessed by user space (bsc#1154768)
  + sle15sp1/passthrough-000019579.py: Passthrough of Raid Controller to KVM guest results in NMI and unresponsiveness on host (bsc#1152800)
  + sle15sp2/fcoe-000019889.py: System with FCoE connected devices fails to boot randomly due to wicked ordering cycle problems (bsc#1176140)
  + sle15sp2/ghostcat_152-000019606.py: Ghostcat - Apache Tomcat AJP File Read/Inclusion Vulnerability (bsc#1164692)
  + sle15sp2/oldlvm-000019878.py: Physical Volume is using an old PV header (bsc#1179170)
  + sle15sp3/oldlvm-000019878.py: Physical Volume is using an old PV header (bsc#1179170)
* Wed Apr 21 2021 jason.record@suse.com
- New regular patterns (8) for version 1.0.2
  + sle15all/acpid-000019708.py: acpid.service failed to start after upgrade (bsc#1158890)
  + sle15all/slapd-000019711.py: slapd.service not enabled/failed after upgrade from SLES 11 SP4 to SLES 15 (bsc#1156353)
  + sle15sp0/ucodeintel_150-000019635.py: L1D data cache eviction and Vector Register sampling - CVE-2020-0548, CVE-2020-0549 (bsc#1156353)
  + sle15sp1/crosstalk_151-000019643.py: Special Register Buffer Data Sampling aka CrossTalk (CVE-2020-0543) (bsc#1154824)
  + sle15sp1/qlogic-000019630.py: System crashes when the system is rebooted with SR-IOV enabled QLogic cards (bsc#1155990)
  + sle15sp1/ucodeintel_151-000019635.py: L1D data cache eviction and Vector Register sampling - CVE-2020-0548, CVE-2020-0549 (bsc#1156353)
  + sle15sp2/crosstalk_152-000019643.py: Special Register Buffer Data Sampling aka CrossTalk (CVE-2020-0543) (bsc#1154824)
  + sle15sp2/ucodeintel_152-000019635.py: L1D data cache eviction and Vector Register sampling - CVE-2020-0548, CVE-2020-0549 (bsc#1156353)
* Wed Mar 31 2021 jason.record@suse.com
- Changes to version 1.0.1
  + Mar 2021 New Security Announcement Patterns (19) for SUSE-SU-2021:0955-1 SUSE-SU-2021:0778-1 SUSE-SU-2021:0948-1 SUSE-SU-2021:0974-1 SUSE-SU-2021:0777-1 SUSE-SU-2021:0947-1 SUSE-SU-2021:0955-1 SUSE-SU-2021:0754-1 SUSE-SU-2021:0930-1 SUSE-SU-2021:0945-1 SUSE-SU-2021:0741-1 SUSE-SU-2021:0683-1 SUSE-SU-2021:0935-1 SUSE-SU-2021:0778-1 SUSE-SU-2021:0770-1 SUSE-SU-2021:0989-1 SUSE-SU-2021:0755-1 SUSE-SU-2021:0740-1 SUSE-SU-2021:0685-1
- New regular patterns (4) for version 1.0.1
  + sle15all/gpgpubkey-000019712.py: zypper or rpm warns about unsupported V3 key after upgrade (bsc#1158913)
  + sle15all/rsyslog-000019710.py: no syslog service after upgrade (bsc#1158912)
  + sle15all/tmpfiles-000019707.py: systemd-tmpfiles-setup.service failed after upgrade (bsc#1158911)
  + sle15all/zerologon-000019713.py: Zerologon aka CVE-2020-1472 (bsc#1176579)
* Fri Mar 26 2021 jason.record@suse.com
- New regular patterns (5) for version 1.0.1
  + sle15sp2/kernel-000019739.py: BIOS update failure when an update is performed using the Linux .bin files (bsc#1175952)
  + sle15sp2/bleedingtooth_152-000019735.py: BleedingTooth aka CVE-2020-12351, CVE-2020-12352, and CVE-2020-24490
  + sle15sp1/bleedingtooth_151-000019735.py: BleedingTooth aka CVE-2020-12351, CVE-2020-12352, and CVE-2020-24490
  + sle15sp0/bleedingtooth_150-000019735.py: BleedingTooth aka CVE-2020-12351, CVE-2020-12352, and CVE-2020-24490
  + sle15all/amavis-000019709.py: amavis.service failed to start after upgrade
* Wed Mar 24 2021 jason.record@suse.com
- New regular patterns (6) for version 1.0.1
  + sle15sp2/openwsman-000019729.py: owsmangencert.sh generates error (bsc#1174541)
  + sle15sp2/lscpu-000019784-15.py: lscpu segfaults on IBM Power8 - Assertion failed (bsc#1175623)
  + sle15sp1/x710-000019639.py: Intel X710 based NIC is not detected (bsc#1151067)
  + sle15sp1/plymouth-000019595.py: plymouth hang - login to console not possible
  + sle15sp1/lscpu-000019784-15.py: lscpu segfaults on IBM Power8 - Assertion failed (bsc#1175623)
  + sle15sp0/plymouth-000019595.py: plymouth hang - login to console not possible
* Thu Mar  4 2021 jason.record@suse.com
- Changes to version 1.0.1
  + Feb 2021 New Security Announcement Patterns (15) for SUSE-SU-2021:0536-1 SUSE-SU-2021:0630-1 SUSE-SU-2021:0521-1 SUSE-SU-2021:0529-1 SUSE-SU-2021:0594-1 SUSE-SU-2021:0543-1 SUSE-SU-2021:0544-1 SUSE-SU-2021:0354-1 SUSE-SU-2021:0285-1 SUSE-SU-2021:0551-1 SUSE-SU-2021:0628-1 SUSE-SU-2021:0341-1 SUSE-SU-2021:0440-1 SUSE-SU-2021:0277-1 SUSE-SU-2021:0438-1
  + Jan 2021 New Security Announcement Patterns (17) for SUSE-SU-2021:0109-1 SUSE-SU-2021:0197-1 SUSE-SU-2021:0183-1 SUSE-SU-2021:0129-1 SUSE-SU-2021:0127-1 SUSE-SU-2021:0195-1 SUSE-SU-2021:0117-1 SUSE-SU-2021:0184-1 SUSE-SU-2021:0163-1 SUSE-SU-2021:0183-1 SUSE-SU-2021:0118-1 SUSE-SU-2021:0163-1 SUSE-SU-2021:0023-1 SUSE-SU-2021:0040-1 SUSE-SU-2021:0060-1 SUSE-SU-2021:0029-1 SUSE-SU-2021:0162-1
  + Dec 2020 New Security Announcement Patterns (51) for SUSE-SU-2020:3597-1 SUSE-SU-2020:3930-1 SUSE-SU-2020:3593-1 SUSE-SU-2020:3749-1 SUSE-SU-2020:3933-1 SUSE-SU-2020:3588-1 SUSE-SU-2020:3915-1 SUSE-SU-2020:3615-1 SUSE-SU-2020:3867-1 SUSE-SU-2020:3597-1 SUSE-SU-2020:3930-1 SUSE-SU-2020:3593-1 SUSE-SU-2020:3723-1 SUSE-SU-2020:3737-1 SUSE-SU-2020:3592-1 SUSE-SU-2020:3721-1 SUSE-SU-2020:3736-1 SUSE-SU-2020:3748-1 SUSE-SU-2020:3749-1 SUSE-SU-2020:3933-1 SUSE-SU-2020:3735-1 SUSE-SU-2020:3790-1 SUSE-SU-2020:3895-1 SUSE-SU-2020:3586-1 SUSE-SU-2020:3881-1 SUSE-SU-2020:3611-1 SUSE-SU-2020:3864-1 SUSE-SU-2020:3597-1 SUSE-SU-2020:3930-1 SUSE-SU-2020:3593-1 SUSE-SU-2020:3723-1 SUSE-SU-2020:3737-1 SUSE-SU-2020:3720-1 SUSE-SU-2020:3866-1 SUSE-SU-2020:3718-1 SUSE-SU-2020:3749-1 SUSE-SU-2020:3933-1 SUSE-SU-2020:3733-1 SUSE-SU-2020:3790-1 SUSE-SU-2020:3589-1 SUSE-SU-2020:3864-1 SUSE-SU-2020:3597-1 SUSE-SU-2020:3930-1 SUSE-SU-2020:3593-1 SUSE-SU-2020:3722-1 SUSE-SU-2020:3762-1 SUSE-SU-2020:3882-1 SUSE-SU-2020:3932-1 SUSE-SU-2020:3591-1 SUSE-SU-2020:3749-1 SUSE-SU-2020:3933-1
  + Nov 2020 New Security Announcement Patterns (40) for SUSE-SU-2020:3412-1 SUSE-SU-2020:3376-1 SUSE-SU-2020:3166-1 SUSE-SU-2020:3271-1 SUSE-SU-2020:3161-1 SUSE-SU-2020:3358-1 SUSE-SU-2020:3155-1 SUSE-SU-2020:3115-1 SUSE-SU-2020:3566-1 SUSE-SU-2020:3463-1 SUSE-SU-2020:3476-1 SUSE-SU-2020:3384-1 SUSE-SU-2020:3377-1 SUSE-SU-2020:3373-1 SUSE-SU-2020:3273-1 SUSE-SU-2020:3122-1 SUSE-SU-2020:3330-1 SUSE-SU-2020:3359-1 SUSE-SU-2020:3473-1 SUSE-SU-2020:3152-1 SUSE-SU-2020:3376-1 SUSE-SU-2020:3166-1 SUSE-SU-2020:3372-1 SUSE-SU-2020:3276-1 SUSE-SU-2020:3282-1 SUSE-SU-2020:3358-1 SUSE-SU-2020:3243-1 SUSE-SU-2020:3115-1 SUSE-SU-2020:3566-1 SUSE-SU-2020:3476-1 SUSE-SU-2020:3385-1 SUSE-SU-2020:3377-1 SUSE-SU-2020:3459-1 SUSE-SU-2020:3425-1 SUSE-SU-2020:3413-1 SUSE-SU-2020:3507-1 SUSE-SU-2020:3272-1 SUSE-SU-2020:3330-1 SUSE-SU-2020:3359-1 SUSE-SU-2020:3165-1
* Mon Mar  1 2021 jason.record@suse.com
- Pattern for TID000019883 - iscsiadm crashing when updating target parameter
- Pattern for TID000019637 - cpupower tool unable to read boost states for AMD Rome CPUs
* Tue Jan 26 2021 jason.record@suse.com
- Pattern for TID000019825 - Graphic interface no longer working after patches
* Mon Jan 25 2021 jason.record@suse.com
- Patterns for TID000019786 Security Vulnerability: SADDNS attack (CVE-2020-25705)
* Thu Dec 10 2020 jason.record@suse.com
- Changes to version 1.0.1
  + New Security Announcement Patterns for SUSE-SU-2020:3565-1 SUSE-SU-2020:3568-1 SUSE-SU-2020:3380-1 SUSE-SU-2020:3565-1 SUSE-SU-2020:3568-1 SUSE-SU-2020:3500-1 SUSE-SU-2020:3551-1 SUSE-SU-2020:3460-1 SUSE-SU-2020:3478-1 SUSE-SU-2020:3380-1 SUSE-SU-2020:3565-1 SUSE-SU-2020:3568-1 SUSE-SU-2020:3500-1 SUSE-SU-2020:3551-1 SUSE-SU-2020:3460-1 SUSE-SU-2020:3478-1 SUSE-SU-2020:3380-1 SUSE-SU-2020:3565-1 SUSE-SU-2020:3455-1 SUSE-SU-2020:3568-1 SUSE-SU-2020:3500-1 SUSE-SU-2020:2474-2 SUSE-SU-2020:3551-1 SUSE-SU-2020:3375-1 SUSE-SU-2020:3532-1 SUSE-SU-2020:3532-1 SUSE-SU-2020:3460-1 SUSE-SU-2020:3478-1 SUSE-SU-2020:3552-1
* Tue Nov 17 2020 jason.record@suse.com
- Chanages to version 1.0.1
  + New Security Announcement Patterns
  SUSE-SU-2020:1126-1 SUSE-SU-2020:2344-1 SUSE-SU-2020:3067-1 SUSE-SU-2020:3151-1 SUSE-SU-2020:2583-1 SUSE-SU-2020:2914-1 SUSE-SU-2020:1083-1 SUSE-SU-2020:1773-1 SUSE-SU-2020:1379-1 SUSE-SU-2020:2266-1 SUSE-SU-2020:1334-1 SUSE-SU-2020:2767-1 SUSE-SU-2020:1023-1 SUSE-SU-2020:2995-1 SUSE-SU-2020:1220-1 SUSE-SU-2020:2095-1 SUSE-SU-2020:0991-1 SUSE-SU-2020:0820-1 SUSE-SU-2020:1584-1 SUSE-SU-2020:2988-1 SUSE-SU-2020:2073-1 SUSE-SU-2020:2303-1 SUSE-SU-2020:1300-1 SUSE-SU-2020:0819-1 SUSE-SU-2020:0617-1 SUSE-SU-2020:0231-1 SUSE-SU-2020:0231-1 SUSE-SU-2020:0466-1 SUSE-SU-2020:0466-1 SUSE-SU-2020:1511-1 SUSE-SU-2020:1569-1 SUSE-SU-2020:1684-1 SUSE-SU-2020:2143-1 SUSE-SU-2020:2453-1 SUSE-SU-2020:3349-1 SUSE-SU-2020:1663-1 SUSE-SU-2020:1663-1 SUSE-SU-2020:2106-1 SUSE-SU-2020:2106-1 SUSE-SU-2020:2610-1 SUSE-SU-2020:2610-1 SUSE-SU-2020:0204-1 SUSE-SU-2020:0213-1 SUSE-SU-2020:0213-1 SUSE-SU-2020:0868-1 SUSE-SU-2020:1475-1 SUSE-SU-2020:1663-1 SUSE-SU-2020:1769-1 SUSE-SU-2020:1771-1 SUSE-SU-2020:1789-1 SUSE-SU-2020:3244-1 SUSE-SU-2020:0948-1 SUSE-SU-2020:2901-1 SUSE-SU-2020:0349-1 SUSE-SU-2020:0349-1 SUSE-SU-2020:2748-1 org:SUSE-SU-2019 SUSE-SU-2020:0130-1 SUSE-SU-2020:0130-1 SUSE-SU-2020:1250-1 SUSE-SU-2020:2969-1 SUSE-SU-2020:0143-1 SUSE-SU-2020:0143-1 SUSE-SU-2020:2116-1 SUSE-SU-2020:2197-1 SUSE-SU-2020:1423-1 SUSE-SU-2020:1677-1 SUSE-SU-2020:1850-1 SUSE-SU-2020:1171-1 SUSE-SU-2020:0455-1 SUSE-SU-2020:0455-1 SUSE-SU-2020:1568-1 SUSE-SU-2020:2829-1 SUSE-SU-2020:0454-1 SUSE-SU-2020:0454-1 SUSE-SU-2020:1576-1 SUSE-SU-2020:1823-1 SUSE-SU-2020:2947-1 SUSE-SU-2020:1219-1 SUSE-SU-2020:1856-1 SUSE-SU-2020:2712-2 SUSE-SU-2020:3313-1 SUSE-SU-2020:2713-1 SUSE-SU-2020:0357-1 SUSE-SU-2020:0357-1 SUSE-SU-2020:2645-1 SUSE-SU-2020:2827-1 SUSE-SU-2020:1682-1 SUSE-SU-2020:1163-1 SUSE-SU-2020:1858-1 SUSE-SU-2020:2814-1 SUSE-SU-2020:0622-1 SUSE-SU-2020:2997-1 SUSE-SU-2020:0589-1 SUSE-SU-2020:0589-1 SUSE-SU-2020:2264-1 SUSE-SU-2020:2149-1 SUSE-SU-2020:1920-1 SUSE-SU-2020:2784-1 SUSE-SU-2020:3269-1 SUSE-SU-2020:1822-1 SUSE-SU-2020:1523-1 SUSE-SU-2020:0260-1 SUSE-SU-2020:0260-1 SUSE-SU-2020:1179-1 SUSE-SU-2020:3147-1 SUSE-SU-2020:1177-1 SUSE-SU-2020:0737-1 SUSE-SU-2020:1151-1 SUSE-SU-2020:1973-1 SUSE-SU-2020:0224-1 SUSE-SU-2020:0224-1 SUSE-SU-2020:1132-1 SUSE-SU-2020:2065-1 SUSE-SU-2020:2719-1 SUSE-SU-2020:3087-1 SUSE-SU-2020:0813-1 SUSE-SU-2020:1156-1 SUSE-SU-2020:2442-1 SUSE-SU-2020:0408-1 SUSE-SU-2020:0408-1 SUSE-SU-2020:0335-1 SUSE-SU-2020:0335-1 SUSE-SU-2020:2882-1 SUSE-SU-2020:0598-1 SUSE-SU-2020:1364-1 SUSE-SU-2020:1841-1 SUSE-SU-2020:2045-1 SUSE-SU-2020:3283-1 SUSE-SU-2020:1819-1 SUSE-SU-2020:1551-1 SUSE-SU-2020:0468-1 SUSE-SU-2020:0468-1 SUSE-SU-2020:1109-1 SUSE-SU-2020:1198-1 SUSE-SU-2020:1990-1 SUSE-SU-2020:2198-1 SUSE-SU-2020:0263-1 SUSE-SU-2020:0263-1 SUSE-SU-2020:0370-1 SUSE-SU-2020:0370-1 SUSE-SU-2020:0693-1 SUSE-SU-2020:2326-1 SUSE-SU-2020:2398-1 SUSE-SU-2020:1933-1 SUSE-SU-2020:3264-1 SUSE-SU-2020:1396-2 SUSE-SU-2020:1126-1 SUSE-SU-2020:2344-1 SUSE-SU-2020:3067-1 SUSE-SU-2020:3151-1 SUSE-SU-2020:2914-1 SUSE-SU-2020:1083-1 SUSE-SU-2020:1773-1 SUSE-SU-2020:1023-1 SUSE-SU-2020:2995-1 SUSE-SU-2020:1220-1 SUSE-SU-2020:2095-1 SUSE-SU-2020:0991-1 SUSE-SU-2020:0820-1 SUSE-SU-2020:1584-1 SUSE-SU-2020:2988-1 SUSE-SU-2020:1300-1 SUSE-SU-2020:0819-1 SUSE-SU-2020:0231-1 SUSE-SU-2020:0466-1 SUSE-SU-2020:1511-1 SUSE-SU-2020:1569-1 SUSE-SU-2020:1684-1 SUSE-SU-2020:2143-1 SUSE-SU-2020:2453-1 SUSE-SU-2020:0204-1 SUSE-SU-2020:0213-1 SUSE-SU-2020:0868-1 SUSE-SU-2020:1475-1 SUSE-SU-2020:1769-1 SUSE-SU-2020:1771-1 SUSE-SU-2020:0948-1 SUSE-SU-2020:2901-1 SUSE-SU-2020:0143-1 SUSE-SU-2020:2116-1 SUSE-SU-2020:2197-1 SUSE-SU-2020:1423-1 SUSE-SU-2020:1677-1 SUSE-SU-2020:1850-1 SUSE-SU-2020:0455-1 SUSE-SU-2020:1568-1 SUSE-SU-2020:2829-1 SUSE-SU-2020:0454-1 SUSE-SU-2020:1576-1 SUSE-SU-2020:1823-1 SUSE-SU-2020:2947-1 SUSE-SU-2020:1219-1 SUSE-SU-2020:1856-1 SUSE-SU-2020:3313-1 SUSE-SU-2020:2713-1 SUSE-SU-2020:0357-1 SUSE-SU-2020:2645-1 SUSE-SU-2020:2827-1 SUSE-SU-2020:1682-1 SUSE-SU-2020:0622-1 SUSE-SU-2020:2997-1 SUSE-SU-2020:2149-1 SUSE-SU-2020:1920-1 SUSE-SU-2020:2784-1 SUSE-SU-2020:3269-1 SUSE-SU-2020:1822-1 SUSE-SU-2020:1177-1 SUSE-SU-2020:0737-1 SUSE-SU-2020:1156-1 SUSE-SU-2020:2442-1 SUSE-SU-2020:0408-1 SUSE-SU-2020:0335-1 SUSE-SU-2020:1551-1 SUSE-SU-2020:0468-1 SUSE-SU-2020:1109-1 SUSE-SU-2020:1198-1 SUSE-SU-2020:1990-1 SUSE-SU-2020:2198-1 SUSE-SU-2020:0693-1 SUSE-SU-2020:1933-1 SUSE-SU-2020:3264-1 SUSE-SU-2020:2914-1 SUSE-SU-2020:1083-1 SUSE-SU-2020:2995-1 SUSE-SU-2020:2095-1 SUSE-SU-2020:1584-1 SUSE-SU-2020:1300-1 SUSE-SU-2020:1511-1 SUSE-SU-2020:1684-1 SUSE-SU-2020:2143-1 SUSE-SU-2020:2453-1 SUSE-SU-2020:1769-1 SUSE-SU-2020:1771-1 SUSE-SU-2020:0948-1 SUSE-SU-2020:2901-1 org:SUSE-SU-2019 SUSE-SU-2020:2116-1 SUSE-SU-2020:2197-1 SUSE-SU-2020:1423-1 SUSE-SU-2020:1677-1 SUSE-SU-2020:1850-1 SUSE-SU-2020:1568-1 SUSE-SU-2020:2829-1 SUSE-SU-2020:1576-1 SUSE-SU-2020:1823-1 SUSE-SU-2020:2947-1 SUSE-SU-2020:1856-1 SUSE-SU-2020:3313-1 SUSE-SU-2020:1682-1 SUSE-SU-2020:1920-1 SUSE-SU-2020:2784-1 SUSE-SU-2020:3269-1 SUSE-SU-2020:1822-1 SUSE-SU-2020:1177-1 SUSE-SU-2020:1156-1 SUSE-SU-2020:2442-1 SUSE-SU-2020:1551-1 SUSE-SU-2020:3264-1 SUSE-SU-2020:1396-2
  + Removed obsolete README place holders in sp0-2
* Mon Nov 19 2018 jason.record@suse.com
- Added openssh-7023532.py to detect bsc#1115654
* Tue Jan  2 2018 jason.record@suse.com
- Removed unnecessary %%clean from spec
* Fri Dec 22 2017 jason.record@suse.com
- Fixed spec file ownership
* Mon Dec 18 2017 jason.record@suse.com
- Added SLE15 SP4 placeholder
* Mon Dec 18 2017 jason.record@suse.com
- Updated spec file with spec-cleaner suggestions
* Fri Oct 27 2017 jason.record@suse.com
- Initial Commit
